ScaLAPACK Archives

[Scalapack] scalapack python installation on OS X10.5

This is an internal compiler error, I do not know from where it is  
coming from. (I never saw that error before)
I am using myself Mac OS X 10.5.3 with gfortran (gcc version 4.3.0  
20071026 (experimental) (GCC) ) and openmpi, and everything works fine.
Could you tell me which version you are using,
On Jun 18, 2008, at 6:42 AM, Frank Tabakin wrote:

I am trying to install BLACS BLAS LAPACK and SCALAPACK  using your
python setup script.
I get following  output with error at end.
I am using gfortran
Also can this work with f90 code?
Thanks for the help.

frank-tabakins-imac-g5:~ frankt$ cd Desktop/blas/
frank-tabakins-imac-g5:scalapack_installer_0.91 frankt$ ls
MD5           build           log   
README                lib             script
frank-tabakins-imac-g5:scalapack_installer_0.91 frankt$ ./ --
downblas --downlapack --downblacs
Setting up the framework

No information about the location of MPI commands was given.
Do you want me to take a guess?
[y/n] :y
Looking for MPI binaries... found
Here are my guesses
mpicc : /usr/local/bin/mpicc
mpif77 :/usr/local/bin/mpif77
Do you want me to continue?
[y/n] :y
Looking for mpi.h... found in /usr/local/include
Checking if mpicc works... yes
Checking if mpif77 works... yes
Setting Fortran mangling... -DAdd_
Setting download command... urllib2
Setting ranlib command... /usr/bin/ranlib
Detecting Fortran compiler... unknown
Detecting C compiler... unknown
Selected C compiler flags: -O3
Selected Fortran77 compiler flags: -O3
Selected loader flags:
Selected NOOPT flags:
Checking loader... works

BLAS installation/verification

Downloading and installing BLAS...
The reference BLAS library is being installed.
Don't expect high performance from this reference library!
If you want performance, you need to use an optimized BLAS library  
to avoid unnecessary complications, if you need to compile this
optimized BLAS
library, use the same compiler you're using here.
... done. (log is in log/blacslog)

Lapack installation/verification
Writing done.
Compiling LAPACK (this will take several minutes)...

LAPACK: error building LAPACK
sgbtrf.f: In function ?sgbtrf?:
sgbtrf.f:437: error: unrecognizable insn:
(insn 1120 2171 1121 142 sgbtrf.f:1 (parallel [
            (set (reg:V4SI 449 [ vect_cst_.268 ])
                (reg:V4SI 1249))
            (unspec [
                    (const_int 0 [0x0])
                ] 196)
        ]) -1 (nil))
sgbtrf.f:437: internal compiler error: in
instantiate_virtual_regs_in_insn, at function.c:1564
Please submit a full bug report,
with preprocessed source if appropriate.
See <> for instructions.
make[1]: *** [sgbtrf.o] Error 1
make: *** [lapacklib] Error 2

frank-tabakins-imac-g5:scalapack_installer_0.91 frankt$

Scalapack mailing list

Julie Langou; Research Associate in Computer Science
Innovative Computing Laboratory;
University of Tennessee from Denver, Colorado ;-)

-------------- next part --------------
An HTML attachment was scrubbed...

<Prev in Thread] Current Thread [Next in Thread>

For additional information you may use the LAPACK/ScaLAPACK Forum.
Or one of the mailing lists, or